# Uses of Class
javajs.util.SB

Packages that use SB
Package
Description
javajs.api
javajs.util
jspecview.source
org.jmol.adapter.readers.spartan
org.jmol.adapter.readers.xml
org.jmol.adapter.writers
org.jmol.api
org.jmol.awtjs.swing
org.jmol.jvxl.calc
org.jmol.jvxl.data
org.jmol.jvxl.readers
org.jmol.modelkit
org.jmol.modelset
org.jmol.modelsetbio
org.jmol.quantum
org.jmol.script
org.jmol.scriptext
org.jmol.shape
org.jmol.shapespecial
org.jmol.shapesurface
org.jmol.symmetry
org.jmol.util
org.jmol.viewer

## Uses of SB in javajs.api

Methods in javajs.api that return SB
Modifier and Type
Method
Description
`SB`
GenericBinaryDocument.`getAllDataFiles(String binaryFileList, String firstFile)`

## Uses of SB in javajs.util

Methods in javajs.util that return SB
Modifier and Type
Method
Description
`SB`
SB.`append(String s)`
`SB`
SB.`appendB(boolean b)`
`SB`
SB.`appendC(char c)`
`SB`
SB.`appendD(double d)`
`SB`
SB.`appendF(float f)`
note that JavaScript could drop off the ".0" in "1.0"
`SB`
SB.`appendI(int i)`
`SB`
SB.`appendO(Object data)`
`SB`
SB.`appendSB(SB buf)`
`SB`
CompoundDocument.`getAllData()`
`SB`
BinaryDocument.`getAllDataFiles(String binaryFileList, String firstFile)`
`SB`
CompoundDocument.`getAllDataFiles(String binaryFileList, String firstFile)`
`static SB`
Base64.`getBase64(byte[] bytes)`
`SB`
CompoundDocument.`getFileAsString(String entryName)`
`static SB`
SB.`newN(int n)`
`static SB`
SB.`newS(String s)`
Methods in javajs.util with parameters of type SB
Modifier and Type
Method
Description
`void`
ZipData.`addTo(GenericZipTools jzt, SB data)`
`static void`
XmlUtil.`appendAttrib(SB sb, Object name, Object value)`
`static void`
XmlUtil.`appendCdata(SB sb, String name, Object[] attributes, String data)`
<name></name>" will convert ]]> to ]] >
`SB`
SB.`appendSB(SB buf)`
`static void`
XmlUtil.`appendTag(SB sb, String name, Object data)`
standard <name>data</name>" standard "
`static void`
XmlUtil.`appendTagAll(SB sb, String name, Object[] attributes, Object data, boolean isCdata, boolean doClose)`
`static void`
XmlUtil.`appendTagObj(SB sb, String name, Object[] attributes, Object data)`
standard data"
`static void`
XmlUtil.`closeTag(SB sb, String name)`
`static byte[]`
Rdr.`getBytesFromSB(SB sb)`
Allow for base64-encoding check.
`static boolean`
Rdr.`isBase64(SB sb)`
`static void`
PT.`leftJustify(SB s, String s1, String s2)`
`static void`
XmlUtil.`openDocument(SB data)`
`static void`
XmlUtil.`openTag(SB sb, String name)`
`static void`
XmlUtil.`openTagAttr(SB sb, String name, Object[] attributes)`
`static void`
PT.`rightJustify(SB s, String s1, String s2)`

## Uses of SB in jspecview.source

Fields in jspecview.source declared as SB
Modifier and Type
Field
Description
`protected SB`
XMLReader.`errorLog`
`protected SB`
XMLReader.`errorLog`
Methods in jspecview.source with parameters of type SB
Modifier and Type
Method
Description
`Coordinate[]`
JDXDecompressor.`decompressData(SB errorLog)`
Determines the type of compression, decompresses the data and stores coordinates in an array to be returned

## Uses of SB in org.jmol.adapter.readers.spartan

Methods in org.jmol.adapter.readers.spartan that return SB
Modifier and Type
Method
Description
`SB`
SpartanUtil.`getData(InputStream is, String[] zipDirectory)`
called by SmarterJmolAdapter via JmolUtil to open a Spartan directory and get all the needed data as a string.

## Uses of SB in org.jmol.adapter.readers.xml

Fields in org.jmol.adapter.readers.xml declared as SB
Modifier and Type
Field
Description
`protected SB`
XmlReader.`chars`

## Uses of SB in org.jmol.adapter.writers

Subclasses of SB in org.jmol.adapter.writers
Modifier and Type
Class
Description
`class`
`QCJSONWriter.SparseArray`
/ sparse array handling ////
Fields in org.jmol.adapter.writers declared as SB
Modifier and Type
Field
Description
`protected SB`
CIFWriter.`jmol_atoms`
Methods in org.jmol.adapter.writers that return SB
Modifier and Type
Method
Description
`protected SB`
CIFWriter.`appendKey(SB sb, String key, int width)`
Methods in org.jmol.adapter.writers with parameters of type SB
Modifier and Type
Method
Description
`protected static void`
CMLWriter.`addAttribute(SB sb, String key, String val)`
`protected static void`
CMLWriter.`addAttributes(SB sb, String[] attributes)`
`boolean`
MOLWriter.`addMolFile(String title, int iModel, SB mol, BS bsAtoms, BS bsBonds, boolean asV3000, boolean asJSON, boolean noAromatic, Quat q, boolean is2d)`
`protected void`
CIFWriter.`append3(SB sb, T3 a)`
`protected static void`
CMLWriter.`appendEmptyTag(SB sb, String name, String[] attributes)`
`protected static void`
CIFWriter.`appendField(SB sb, String val, int width)`
`protected SB`
CIFWriter.`appendKey(SB sb, String key, int width)`
`protected static void`
CMLWriter.`closeTag(SB sb, String name)`
`static void`
CMLWriter.`openDocument(SB sb)`
`protected static void`
CMLWriter.`openTag(SB sb, String name)`
`protected static void`
CMLWriter.`startOpenTag(SB sb, String name)`
`protected static void`
CMLWriter.`terminateEmptyTag(SB sb)`
`protected static void`
CMLWriter.`terminateTag(SB sb)`
`protected int`
CIFWriter.`writeAtomSite(SB sb)`
`protected int`
FSG2SCIFConverter.`writeAtomSite(SB sb)`
`protected boolean`
CIFWriter.`writeChecked(SB output, String val)`
see https://github.com/rcsb/ciftools-java/blob/master/src/main/java/org/rcsb/cif/text/TextCifWriter.java
`protected void`
CIFWriter.`writeHeader(SB sb)`
`protected void`
FSG2SCIFConverter.`writeHeader(SB sb)`
`protected void`
CIFWriter.`writeMultiline(SB output, String val)`
`protected void`
CIFWriter.`writeOperations(SB sb)`
`protected void`
FSG2SCIFConverter.`writeOperations(SB sb)`
`protected void`
CIFWriter.`writeParams(SB sb)`

## Uses of SB in org.jmol.api

Methods in org.jmol.api with parameters of type SB
Modifier and Type
Method
Description
`void`
JmolScriptEvaluator.`evaluateCompiledScript(Object[] params, boolean isSyntaxCheck, boolean isSyntaxAndFileCheck, boolean historyDisabled, boolean listCommands, SB outputBuffer, boolean allowThreads)`
`boolean`
JmolDataManager.`getDataState(JmolStateCreator stateCreator, SB commands)`
`boolean`
JmolNMRInterface.`getState(SB sb)`
`boolean`
SymmetryInterface.`getState(ModelSet ms, int modelIndex, SB commands)`
`void`
JmolScriptEvaluator.`runScriptBuffer(String string, SB outputBuffer, boolean isFuncReturn)`
`String`
SymmetryInterface.`staticTransformSpaceGroup(BS bs, String cleg, Object paramsOrUC, SB sb)`

## Uses of SB in org.jmol.awtjs.swing

Methods in org.jmol.awtjs.swing with parameters of type SB
Modifier and Type
Method
Description
`void`
AbstractTableModel.`toHTML(SB sb, String id, BS bsSelectedRows)`

## Uses of SB in org.jmol.jvxl.calc

Fields in org.jmol.jvxl.calc declared as SB
Modifier and Type
Field
Description
`protected SB`
MarchingCubes.`edgeData`

## Uses of SB in org.jmol.jvxl.data

Fields in org.jmol.jvxl.data declared as SB
Modifier and Type
Field
Description
`SB`
JvxlData.`sbOut`
Methods in org.jmol.jvxl.data with parameters of type SB
Modifier and Type
Method
Description
`static void`
JvxlCoder.`appendContourTriangleIntersection(int type, float f1, float f2, SB fData)`
appends an integer (3, 5, or 6) representing two sides of a triangle ABC -- AB/BC(3), AB/CA(5), or BC/CA(6) -- along with two fractions along the edges for the intersection point base-90-encoded.
`static void`
JvxlCoder.`jvxlAppendEncodedNumber(SB sb, int n, int base, int range)`
`static void`
JvxlCoder.`jvxlCreateHeader(VolumeData v, SB sb)`
Creates a two-line header for the XJVXL file.
`static void`
JvxlCoder.`jvxlCreateHeaderWithoutTitleOrAtoms(VolumeData v, SB bs)`
`static int`
JvxlCoder.`jvxlEncodeBitSet0(BS bs, int nPoints, SB sb)`
`static int`
JvxlCoder.`jvxlEncodeBitSetBuffer(BS bs, int nPoints, SB sb)`

## Uses of SB in org.jmol.jvxl.readers

Fields in org.jmol.jvxl.readers declared as SB
Modifier and Type
Field
Description
`protected SB`
SurfaceReader.`fractionData`
`protected SB`
SurfaceReader.`jvxlFileHeaderBuffer`
`SB`
Parameters.`sbOut`

## Uses of SB in org.jmol.modelkit

Methods in org.jmol.modelkit with parameters of type SB
Modifier and Type
Method
Description
`void`
ModelKit.`cmdAssignSpaceGroup(String transform, SB sb, String cmd, float packing, boolean doDraw)`
MODELKIT SPACEGROUP

## Uses of SB in org.jmol.modelset

Fields in org.jmol.modelset declared as SB
Modifier and Type
Field
Description
`SB`
Model.`loadScript`
Methods in org.jmol.modelset with parameters of type SB
Modifier and Type
Method
Description
`void`
Text.`appendFontCmd(SB s)`
`int`
ModelSet.`autoBondBs4(BS bsA, BS bsB, BS bsExclude, BS bsBonds, short mad, boolean preJmol11_9_24, SB state)`
`int[]`
ModelSet.`makeConnections2(float minD, float maxD, int order, int connectOperation, BS bsA, BS bsB, BS bsBonds, boolean isBonds, boolean addGroup, float energy, SB state)`
Constructors in org.jmol.modelset with parameters of type SB
Modifier
Constructor
Description
``
`ModelLoader(Viewer vwr, String modelSetName, SB loadScript, Object asc, ModelSet modelSet0, BS bsNew)`

## Uses of SB in org.jmol.modelsetbio

Methods in org.jmol.modelsetbio with parameters of type SB
Modifier and Type
Method
Description
`void`
BioModel.`getDefaultLargePDBRendering(SB sb, int maxAtoms)`
`void`
BioModel.`getPdbData(String type, char ctype, boolean isDraw, BS bsSelected, OC out, LabelToken[] tokens, SB pdbCONECT, BS bsWritten)`

## Uses of SB in org.jmol.quantum

Methods in org.jmol.quantum with parameters of type SB
Modifier and Type
Method
Description
`boolean`
NMRCalculation.`getState(SB sb)`

## Uses of SB in org.jmol.script

Fields in org.jmol.script declared as SB
Modifier and Type
Field
Description
`SB`
ScriptContext.`outputBuffer`
`SB`
ScriptEval.`outputBuffer`
Methods in org.jmol.script with parameters of type SB
Modifier and Type
Method
Description
`void`
ScriptEval.`evaluateCompiledScript(Object[] params, boolean isCmdLine_c_or_C_Option, boolean isCmdLine_C_Option, boolean historyDisabled, boolean listCommands, SB outputBuffer, boolean allowThreads)`
`void`
ScriptEval.`runBufferedSafely(String script, SB outputBuffer)`
`void`
ScriptEval.`runScriptBuffer(String script, SB outputBuffer, boolean isFuncReturn)`
runs a script immediately and sends selected output to a provided SB

## Uses of SB in org.jmol.scriptext

Methods in org.jmol.scriptext with parameters of type SB
Modifier and Type
Method
Description
`int`
CmdExt.`getLoadSymmetryParams(int i, SB sOptions, Map<String,Object> htParams)`

## Uses of SB in org.jmol.shape

Methods in org.jmol.shape with parameters of type SB
Modifier and Type
Method
Description
`protected static void`
Shape.`appendCmd(SB s, String cmd)`
`String`
Axes.`getAxesState(SB sb)`

## Uses of SB in org.jmol.shapespecial

Methods in org.jmol.shapespecial with parameters of type SB
Modifier and Type
Method
Description
`void`
Polyhedron.`list(SB sb)`

## Uses of SB in org.jmol.shapesurface

Methods in org.jmol.shapesurface with parameters of type SB
Modifier and Type
Method
Description
`static void`
IsosurfaceMesh.`addContourPoints(Lst<Object> v, BS bsContour, int i, SB fData, T3[] vertices, float[] vertexValues, int iA, int iB, int iC, float value)`
`static void`
IsosurfaceMesh.`setContourVector(Lst<Object> v, int nPolygons, BS bsContour, float value, short colix, int color, SB fData)`

## Uses of SB in org.jmol.symmetry

Methods in org.jmol.symmetry that return SB
Modifier and Type
Method
Description
`protected static SB`
WyckoffFinder.`wrap(String xyz, SB sb)`
Just wrap the coordinate with parentheses.
Methods in org.jmol.symmetry with parameters of type SB
Modifier and Type
Method
Description
`boolean`
Symmetry.`getState(ModelSet ms, int modelIndex, SB commands)`
`String`
Symmetry.`staticTransformSpaceGroup(BS bs, String cleg, Object paramsOrUC, SB sb)`
`protected static SB`
WyckoffFinder.`wrap(String xyz, SB sb)`
Just wrap the coordinate with parentheses.

## Uses of SB in org.jmol.util

Fields in org.jmol.util declared as SB
Modifier and Type
Field
Description
`SB`
MeshSurface.`slabOptions`
Methods in org.jmol.util with parameters of type SB
Modifier and Type
Method
Description
`void`
JSONWriter.`writeString(String str, SB sbSym)`

## Uses of SB in org.jmol.viewer

Methods in org.jmol.viewer with parameters of type SB
Modifier and Type
Method
Description
`void`
ChimeMessenger.`getAllChimeInfo(SB sb)`
`void`
JmolChimeMessenger.`getAllChimeInfo(SB sb)`
`boolean`
DataManager.`getDataState(JmolStateCreator sc, SB sb)`
`void`
StateCreator.`getInlineData(SB loadScript, String strModel, boolean isAppend, Integer appendToModelIndex, String loadFilter)`
`String`
Viewer.`loadModelFromFile(String fullPathName, String fileName, String[] fileNames, Object reader, boolean isAppend, Map<String,Object> htParams, SB loadScript, SB sOptions, int tokType, String filecat)`
Used by the ScriptEvaluator LOAD command to open one or more files.
`void`
ChimeMessenger.`showHash(SB outputBuffer, String s)`
#xxxx command output
`void`
JmolChimeMessenger.`showHash(SB outputBuffer, String msg)`